Get published asset metadata by slug
HEAD
/api/assets/published/{configId}/slug/{slug}/{rendition}
const url = 'https://example.com/api/assets/published/example/slug/example/example?format=webp&version=latestpublished&download=true';const options = {method: 'HEAD'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request HEAD \ --url 'https://example.com/api/assets/published/example/slug/example/example?format=webp&version=latestpublished&download=true'Returns headers with published asset metadata by slug without the body.
Authorizations
Section titled “Authorizations”- None
- bearerAuth
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”configId
required
string
slug
required
string
rendition
required
string
Query Parameters
Section titled “Query Parameters”format
Output format for the asset (e.g., webp, jpg)
string
Example
webpversion
Version of the asset to retrieve (e.g., ‘latest’, ‘latestpublished’, or specific version number)
string
Example
latestpublisheddownload
If set, forces download with Content-Disposition header
string
Example
trueResponses
Section titled “Responses”Asset metadata in headers
Unauthorized - Repository is not public and request is not authenticated
Asset not found or not published